### Property

# Soup WebsocketConnection:io-stream

#### Declaration

    property io-stream: Gio.IOStream [ read, write, construct-only ]

#### Description [src]

The underlying IO stream the WebSocket is communicating over.

The input and output streams must be pollable streams.

Type: | `GIOStream`

Getter method | `soup_websocket_connection_get_io_stream()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes